# CollectionModify::unset

(No version information available, might only be in Git)

CollectionModify::unset — Unset the value of document fields

### 说明

public mysql_xdevapi\CollectionModify::unset(array `$fields`): mysql_xdevapi\CollectionModify

Removes attributes from documents in a collection.

### 参数

`fields`

  The attributes to remove from documents in a collection.

### 返回值

CollectionModify object that can be used for further processing.

### 示例

示例 #1 mysql_xdevapi\CollectionModify::unset() example

`<?php
$res = $coll->modify('job like :job_name')->unset(["age", "name"])->bind(['job_name' => 'Plumber'])->execute();
?>`
`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open